package cn.iocoder.yudao.module.order.vo.orderWarehousePicture;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 订单仓库图片 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class OrderWarehousePictureBaseVO {

    @ApiModelProperty(value = "图片地址")
    private String url;

    @ApiModelProperty(value = "类型 1订单完成入仓 2 调拨出仓 3调拨到仓 4 订单转异 5订单项入仓 6报关资料")
    private Integer type;

    @ApiModelProperty(value = "业务id")
    private Long bizId;

    @ApiModelProperty(value = "原始文件名")
    private String originalFileName;

}
